%define     major        16
%define     libname      %mklibname  yui-gtk %{major}
%define     develname    %mklibname yui-gtk -d

Name:       libyui-gtk
Version:    2.52.5
Release:    %mkrel 1
Summary:    UI abstraction library - GTK plugin
License:    LGPLv2+
Group:      System/Libraries
URL:        https://github.com/libyui/libyui-gtk
Source0:    https://github.com/libyui/libyui-gtk/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:    png-devel
BuildRequires:    yui-devel >= 3.0.4
BuildRequires:    gtk+3.0-devel
BuildRequires:    libgdk_pixbuf2.0-devel
BuildRequires:    boost-devel
BuildRequires:    sane-devel
BuildRequires:    cmake
BuildRequires:    doxygen
BuildRequires:    ghostscript
BuildRequires:    graphviz

%description
%{summary}

#-----------------------------------------------------------------------

%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}%{major} = %{version}-%{release}
Provides:       %{name}%{major}%{?_isa} = %{version}-%{release}

%description -n %libname
This package contains the library needed to run programs
dynamically linked with libyui-gtk.

%files -n %libname
%doc COPYING*
%{_libdir}/yui/libyui-gtk.so.%{major}{,.*}

#-----------------------------------------------------------------------

%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}
Provides:       yui-gtk-devel = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-ncurses development.

%files -n %develname
%{_includedir}/yui/
%{_libdir}/yui/libyui-gtk.so
%{_libdir}/pkgconfig/libyui-gtk.pc

#-----------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake
%cmake_build

%install
%cmake_install


%changelog
* Sat Mar 23 2024 anaselli <anaselli> 2.52.5-1.mga10
+ Revision: 2051591
- Release 2.52.5

* Fri Jan 12 2024 wally <wally> 2.52.3-5.mga10
+ Revision: 2030562
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 2.52.3-4.mga10
+ Revision: 1991465
- rebuild for boost 1.83.0

* Tue Feb 28 2023 wally <wally> 2.52.3-3.mga9
+ Revision: 1945752
- add more provides to lib pkg

* Sat Dec 24 2022 wally <wally> 2.52.3-2.mga9
+ Revision: 1926499
- rebuild for boost 1.81.0

* Wed Oct 19 2022 anaselli <anaselli> 2.52.3-1.mga9
+ Revision: 1897720
- New version 2.52.3

* Sat Oct 08 2022 anaselli <anaselli> 2.52.2-2.mga9
+ Revision: 1895521
- rebuilt on new libyui 4.4.4

* Sat Oct 01 2022 anaselli <anaselli> 2.52.2-1.mga9
+ Revision: 1893669
- New version 2.52.2

* Sun Jul 03 2022 wally <wally> 2.52.0-3.mga9
+ Revision: 1867276
- rebuild for boost 1.79.0

* Sun Dec 19 2021 wally <wally> 2.52.0-2.mga9
+ Revision: 1762635
- rebuild for boost 1.78.0

* Sun Sep 12 2021 anaselli <anaselli> 2.52.0-1.mga9
+ Revision: 1745308
- new 2.52.0

* Wed Feb 03 2021 anaselli <anaselli> 2.49.0-5.mga8
+ Revision: 1674739
- Fix MainDialogs starting in fullscreen size for an error evaluating screen

* Thu Aug 20 2020 joequant <joequant> 2.49.0-4.mga8
+ Revision: 1616822
- fix make docs

* Sat Jul 04 2020 anaselli <anaselli> 2.49.0-2.mga8
+ Revision: 1601919
- rebuilt

* Mon Jun 29 2020 anaselli <anaselli> 2.49.0-1.mga8
+ Revision: 1600476
- new 2.49.0

* Mon Jun 15 2020 anaselli <anaselli> 2.48.0-2.mga8
+ Revision: 1593436
- Fixing Timeout warnings

* Thu May 28 2020 anaselli <anaselli> 2.48.0-1.mga8
+ Revision: 1588667
- new 2.48.0 version

* Fri Mar 27 2020 anaselli <anaselli> 2.46.0-1.mga8
+ Revision: 1561193
- New version 2.46.0

* Sat Feb 15 2020 umeabot <umeabot> 2.44.10-3.mga8
+ Revision: 1524841
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 pterjan <pterjan> 2.44.10-2.mga7
+ Revision: 1383639
- Fix file picker buttons

* Sun Dec 16 2018 anaselli <anaselli> 2.44.10-1.mga7
+ Revision: 1341821
- new version 2.44.10

* Sun Sep 23 2018 umeabot <umeabot> 2.44.9-3.mga7
+ Revision: 1299284
- Mageia 7 Mass Rebuild

* Wed Mar 28 2018 daviddavid <daviddavid> 2.44.9-2.mga7
+ Revision: 1212978
- provides libyui%%{major}-gtk so packages who depends on it can be
  rebuild if major change (like isodumper)

* Sun Jan 28 2018 anaselli <anaselli> 2.44.9-1.mga7
+ Revision: 1197807
- right documentation position
- version 2.44.9

* Sun Oct 09 2016 anaselli <anaselli> 2.44.7-1.mga6
+ Revision: 1059760
- new 2.44.7 version

* Mon Jan 04 2016 anaselli <anaselli> 2.44.6-3.mga6
+ Revision: 919389
- rebuilt

* Sun Jan 03 2016 anaselli <anaselli> 2.44.6-2.mga6
+ Revision: 919203
- Fixed big icon into buttons

* Mon Oct 19 2015 anaselli <anaselli> 2.44.6-1.mga6
+ Revision: 892800
- new version 2.44.6

* Wed Oct 15 2014 umeabot <umeabot> 2.44.5-3.mga5
+ Revision: 740999
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.44.5-2.mga5
+ Revision: 681912
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 anaselli <anaselli> 2.44.5-1.mga5
+ Revision: 653320
- Final 2.44.5 version

* Sun May 18 2014 anaselli <anaselli> 2.44.5-0.git20140506.1.mga5
+ Revision: 623600
- New version 2.44.5

* Fri Apr 25 2014 anaselli <anaselli> 2.44.4-0.git20140425.1.mga5
+ Revision: 617934
- Aligned to anaselli branch (check on Date and Time input values)

* Fri Apr 18 2014 anaselli <anaselli> 2.44.4-0.git20140418.1.mga5
+ Revision: 616884
- New version 2.44.4 from anaselli branch

* Sun Mar 30 2014 anaselli <anaselli> 2.44.3-0.git20140325.2.mga5
+ Revision: 610478
- Added debug symbols

* Sun Mar 30 2014 anaselli <anaselli> 2.44.3-0.git20140325.1.mga5
+ Revision: 610349
- Removed latex for docs at the moment, need a better upstream investigation
- Avoid parallel building for docs
- Added dot2tex dependency
- new version 2.44.3

* Sun Dec 01 2013 matteo <matteo> 2.43.7-0.git20131116.4.mga4
+ Revision: 554477
- add missing br (texlive-dist)
- fix build issue (latex error: xtab.sty not found)
+ anaselli <anaselli>
- updated to upstream/master
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ fwang <fwang>
- boost is not required

* Wed Jul 10 2013 fwang <fwang> 2.43.4-0.git20130630.2.mga4
+ Revision: 452367
- rebuild for new boost

* Mon Jul 01 2013 anaselli <anaselli> 2.43.4-0.git20130630.1.mga4
+ Revision: 448663
- trying to avoid the problem of deprecation, need a fix for upstream
- new 2.43.4
- changed package name to libyuiX-gtk

* Fri Jan 18 2013 anaselli <anaselli> 2.42.1-0.git20121227.5.mga3
+ Revision: 389486
- Updated to master

* Sat Jan 12 2013 umeabot <umeabot> 2.42.1-0.git20121227.4.mga3
+ Revision: 358734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 2.42.1-0.git20121227.3.mga3
+ Revision: 341391
- Rebuilt for new libyui

* Thu Dec 27 2012 anaselli <anaselli> 2.42.1-0.git20121227.2.mga3
+ Revision: 335745
- Fixed progress bar percentage

* Thu Dec 27 2012 anaselli <anaselli> 2.42.1-0.git20121227.1.mga3
+ Revision: 335712
- Updated to git master (fixed progressbar in gtk implementation)

* Sat Nov 10 2012 anaselli <anaselli> 2.42.1-0.git20121109.1.mga3
+ Revision: 316868
- Updated to yui master

* Sat Nov 03 2012 anaselli <anaselli> 2.42.1-0.git20121102.1.mga3
+ Revision: 313424
- Updated to https://github.com/anaselli/libyui-gtk to add missed functions

* Mon Oct 29 2012 anaselli <anaselli> 2.42.1-0.git20121029.1.mga3
+ Revision: 311533
- updated to git 20121029, to fix a crash

* Sun Sep 16 2012 anaselli <anaselli> 2.42.1-0.git20120908.1.mga3
+ Revision: 294609
- updated to 2.42.1-d79c65e
  added documentation
  used git date instead of hash to give package upgradability

* Sun Jul 22 2012 anaselli <anaselli> 2.42.1-0.git.e2f70c4.2.mga3
+ Revision: 273630
- Wrong yui dependency for devel package

* Sun Jul 22 2012 anaselli <anaselli> 2.42.1-0.git.e2f70c4.1.mga3
+ Revision: 273603
- added patch to fix deprecated gdk_window_set_background
- new 2.42.1 from github

* Sun Jun 17 2012 matteo <matteo> 2.21.96-1.mga3
+ Revision: 261267
- removed not necessary requirements
- imported package libyui-gtk

